%define name 	kgraphviewer
%define version 1.0.4
%define release	1 

Summary:	A GraphViz dot graph viewer for KDE
Name:		%{name}
Version: 	%{version}
Release: 	%mkrel %{release}
Source0: 	%{name}-%version.tar.bz2
License: 	GPL
Group: 		Graphics	 	
Url: 		https://gna.org/projects/kgraphviewer
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	graphviz
BuildRequires:	graphviz-devel graphviz
BuildRequires:	boost-devel
BuildRequires: 	kdebase-devel
BuildRequires:  libxml2-utils
BuildRequires:	desktop-file-utils

%description 
KGraphViewer is user-friendly KDE application for viewing dot graphs 
created for processing with GraphViz. Notable features provided include:

- loading of several graphs in tabs
- bird's-eye graph view
- zooming view
- simple printing
- context menu and toolbar for selecting layout algorithms
- session management

%prep
%setup -q 

%build
%configure
%make

%install
rm -rf %{buildroot}
%{makeinstall_std}

desktop-file-install --vendor="" \
	--dir %{buildroot}%{_datadir}/applications/kde \
	--add-category="Graphics" \
	--add-category="Viewer" \
	%{buildroot}%{_datadir}/applnk/kgraphviewer.desktop

rm -f %{buildroot}%{_datadir}/applnk/kgraphviewer.desktop

%find_lang %name

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%update_menus

%files -f %name.lang
%defattr(-,root,root)
%_bindir/kgraphviewer
%_libdir/kde3/*
%_libdir/*
%_datadir/apps/kgraphviewer/pics/*.png

%_datadir/applications/kde/*.desktop
%_datadir/apps/kgraphviewer/kgraphviewer_shell.rc
%_datadir/applnk/kgraphviewer_part.desktop
%_datadir/apps/kgraphviewerpart/kgraphviewer_part.rc
%_datadir/config.kcfg/*.kcfg

%doc %_docdir/HTML/*/kgraphviewer

%_datadir/icons/hicolor/16x16/apps/kgraphviewer.png
%_datadir/icons/hicolor/32x32/apps/kgraphviewer.png
%_datadir/mimelnk/x-kgraphviewer.desktop


%changelog
* Sun Jul 15 2007 Funda Wang <fundawang@mandriva.org> 1.0.4-1mdv2008.0
+ Revision: 52173
- BR boost-devel and grphviz-devel
- New version


* Mon Jul 10 2006 Laurent MONTEL <lmontel@mandriva.com> 1.0.2-1 
- 1.0.2

* Sat Jun 24 2006 Laurent MONTEL <lmontel@mandriva.com> 1.0.1-1 
- 1.0.1

* Mon May 29 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.0-0.rc1.4mdv2007.0
- Add BuildRequires

* Mon May 29 2006 Laurent MONTEL <lmontel@mandriva.com> 1.0-0.rc1.3
- Add requires

* Sun May 28 2006 Laurent MONTEL <lmontel@mandriva.com> 1.0-0.rc1.2
- Fix buildrequires

* Sun May 28 2006 Laurent MONTEL <lmontel@mandriva.com> 1.0-0.rc1.1
- 1.0rc1

* Tue May 23 2006 Laurent MONTEL <lmontel@mandriva.com> 0.9-1
- 0.9

* Sun May 21 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8-1
- I don't understand how this package was created previously... => fix spec file

* Sun Apr 23 2006 Lev Givon <lev@mandriva.org> 0.3.2-1mdk
- Initial Mandriva package.

